# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ValueImp Class Reference

ValueImp is the base type for all primitives (Undefined, Null, Boolean, String, Number) and objects in ECMAScript. More...

`#include <value.h>`

List of all members.

## Public Member Functions

ValueImp * | ref ()
bool | deref ()
virtual void | mark ()
bool | marked () const
void * | operator new (size_t)
void | operator delete (void *)
void | setGcAllowed ()
void | setGcAllowedFast ()
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
Type | dispatchType () const
Value | dispatchToPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | dispatchToBoolean (ExecState *exec) const
double | dispatchToNumber (ExecState *exec) const
UString | dispatchToString (ExecState *exec) const
bool | dispatchToUInt32 (unsigned &) const
Object | dispatchToObject (ExecState *exec) const
bool | isDestroyed () const

## Public Attributes

unsigned short int | refcount

## Friends

class | Collector
class | Value
class | ContextImp

## Detailed Description

ValueImp is the base type for all primitives (Undefined, Null, Boolean, String, Number) and objects in ECMAScript.

Note: you should never inherit from ValueImp as it is for primitive types only (all of which are provided internally by KJS). Instead, inherit from ObjectImp.

Definition at line 80 of file value.h.

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003